import { decode } from "html-entities";
import { get } from "http";
import { getAllMenus, getSettings } from "lib/api";
import Link from "next/link";
import CookieConsent from "../CookieConsent";
const API_URL = process.env.NEXT_PUBLIC_WORDPRESS_API_URL;

export function Footer2({
  settings,
  menuItems,
}: {
  settings: any;
  menuItems: any;
}) {
  return (
    <>
      <footer
        className="relative w-full overflow-hidden pt-[86px] pb-[64px] md:rounded-b-xl rounded-b-sm"
        style={{ backgroundColor: settings.footer_bg_color }}
      >
        <div className="relative px-[20px] xl:px-[70px] mx-auto">
          <h2 className="max-w-[90%] w-fit relative">
            <div
              dangerouslySetInnerHTML={{ __html: settings.footer_heading }}
            />
            <div className="w-full translate-x-[100%] h-[300px] absolute left-[40px] top-0">
              <div className="cheetah-line absolute left-0 top-0 w-[100vw] h-full z-[9999999]">
                <svg
                  xmlns="http://www.w3.org/2000/svg"
                  width="4409"
                  height="1438"
                  viewBox="0 0 4409 1438"
                  fill="none"
                  className="absolute left-[-2523px] top-[-42px]"
                >
                  <path
                    d="M2031.92 1405.36L2507.72 1193.79L2509.96 1192.79L2507.67 1191.94C2365.1 1138.6 2235.92 1110.21 2173.03 1098.36L2173.02 1098.36L2173.01 1098.36C2167 1097.32 2161.55 1093.09 2159.06 1086.75C2156.72 1080.73 2157.61 1074.18 2160.77 1069.19C2296.69 892.623 2291.12 746.236 2251.43 643.955C2231.59 592.846 2203.26 552.793 2179.89 525.519C2168.2 511.88 2157.75 501.433 2150.22 494.393C2146.46 490.872 2143.42 488.203 2141.32 486.413C2140.27 485.517 2139.46 484.841 2138.91 484.388C2138.77 484.273 2138.64 484.172 2138.54 484.086L2138.28 483.876L2138.22 483.833L2138.11 483.747L2138.08 483.716C2138.07 483.713 2138.07 483.71 2138.06 483.707L2138.06 483.705C2138.06 483.703 2138.06 483.701 2137.44 484.487L2031.92 1405.36ZM2031.92 1405.36C2044.49 1431.72 2076.34 1443.34 2103.46 1431.38L2103.48 1431.37L2103.5 1431.36C2301.73 1353.89 2485.88 1296.81 2656.66 1256.03L2657.01 1255.95L2657.33 1256.1C2734.91 1294.33 2811.17 1340.42 2878.14 1395.96C2884.93 1388.48 2889.06 1379.98 2889.3 1371.08C2889.54 1361.93 2885.65 1352.19 2875.94 1342.54C2826.03 1294.53 2765.6 1246.74 2705.87 1203.56L2704.95 1202.9L2705.73 1202.07C3372.76 487.555 3984.79 456.449 4221.24 446.721C4277.76 442.572 4378.57 418.202 4406.9 300.423C4407.36 298.174 4406.34 295.941 4404.56 294.834L4404.09 294.541V294.451C4373.6 274.764 4300.44 226.999 4263.17 165.384C4243.83 133.417 4210.33 111.439 4177.09 97.7827C4143.84 84.1221 4111.02 78.8587 4093.2 80.1767L4091.85 80.2768L4092.15 78.9539L4108.7 7.47442C4108.7 7.47116 4108.7 7.46791 4108.7 7.46465C4109.31 4.58413 4107.6 1.77504 4104.91 1.12849L4104.9 1.12716C4103.36 0.746276 4101.7 1.24699 4100.47 2.31955V2.31929C4019.23 73.529 3901.32 121.106 3803.8 150.878C3755.02 165.769 3711.32 176.215 3679.81 182.938C3664.06 186.3 3651.35 188.731 3642.58 190.323C3638.19 191.118 3634.79 191.704 3632.48 192.09C3631.33 192.284 3630.45 192.428 3629.86 192.523L3629.19 192.63L3629.02 192.657L3628.98 192.664L3628.97 192.665C3628.97 192.666 3628.97 192.666 3628.92 192.347L3628.96 192.666L3628.95 192.668L3628.93 192.67C3484.86 210.602 3345.37 194.157 3205.61 169.124C3160.93 161.121 3116.23 152.243 3071.35 143.328C2975.79 124.346 2879.38 105.196 2780.5 93.9707L2780.48 93.9688L2780.46 93.9661C2720.66 85.0331 2513.94 60.1256 2324.52 97.7993L2324.51 97.8009L2324.51 97.8023C2201.69 120.205 2062.45 168.984 1914.94 228.65C1825.06 265.005 1732.16 305.384 1638.04 346.287C1577.69 372.52 1516.83 398.969 1455.96 424.71C1300.21 490.576 1144.39 551.79 996.738 592.802C849.089 633.811 709.523 654.642 586.276 639.685C363.628 612.663 132.204 466.65 13.6282 375.25L2031.92 1405.36ZM2598.43 1127.32H2595.07H2594.99H2593.7L2593.86 1126.72C2550.98 1098.74 2513.16 1075.48 2486.01 1059.19C2472.36 1051.01 2461.42 1044.59 2453.88 1040.21C2450.11 1038.02 2447.2 1036.34 2445.22 1035.21C2444.24 1034.65 2443.49 1034.22 2442.98 1033.93L2442.41 1033.61L2442.27 1033.53L2442.23 1033.51L2442.23 1033.5L2442.22 1033.5C2442.22 1033.5 2442.22 1033.5 2442.71 1032.63L2442.22 1033.5L2440.3 1032.42L2442.38 1031.69L2442.41 1031.77C2442.39 1031.69 2442.39 1031.69 2442.39 1031.69L2442.39 1031.69L2442.42 1031.68L2442.52 1031.64C2442.61 1031.61 2442.75 1031.56 2442.93 1031.49C2443.29 1031.36 2443.83 1031.16 2444.54 1030.89C2445.96 1030.35 2448.05 1029.53 2450.73 1028.42C2456.09 1026.2 2463.82 1022.81 2473.26 1018.11C2492.14 1008.73 2517.87 994.175 2545.25 973.479C2600.02 932.088 2661.36 866.178 2687.83 768.042L2687.83 768.027M2598.43 1127.32L2682.56 792.103C2685.18 784.463 2687.59 776.61 2689.76 768.541M2598.43 1127.32L2596.16 1125.83M2598.43 1127.32L2596.16 1125.83M2687.83 768.027L2688.8 768.281M2687.83 768.027C2687.83 768.025 2687.83 768.023 2687.83 768.021L2688.8 768.281M2687.83 768.027L2596.16 1125.83M2688.8 768.281L2689.76 768.541M2688.8 768.281L2689.76 768.534L2689.76 768.541M2689.76 768.541L2596.16 1125.83"
                    style={{ stroke: "var(--color-primary)" }}
                    strokeWidth="2"
                  />
                </svg>
              </div>
            </div>
          </h2>
          <div className="grid md:gap-x-[94px] gap-x-[60px] grid-cols-2 w-fit relative z-[10]">
            <ul className="flex flex-col mt-[25px] row-span-2">
              {menuItems["header_nav"].items.map((n: any, i: number) => {
                return (
                  <Link href={n.url.replace(API_URL, "/")}>
                    <li className="py-[8px] b2 whitespace-nowrap" key={i}>
                      {decode(n.title)}
                    </li>
                  </Link>
                );
              })}
            </ul>
            <ul className="flex flex-col xs:flex-row mt-[25px] xs:gap-[25px] gap-[10px]">
              {menuItems["footer_social_nav"].items.map((n: any, i: number) => {
                return (
                  <Link href={n.url.replace(API_URL, "/")}>
                    <li
                      className="text-[24px]"
                      key={i}
                      style={{ color: settings.footer_social_text_color }}
                    >
                      <div
                        className=""
                        dangerouslySetInnerHTML={{ __html: n.title }}
                      ></div>
                    </li>
                  </Link>
                );
              })}
            </ul>
            <ul className="md:col-span-1 flex flex-col self-end col-span-2 mt-[40px] md:mt-0">
              {[
                { title: "+44 792 2072652", url: "tel:+44 792 2072652" },
                {
                  title: "mission@underwriters.co.uk",
                  url: "mailto:mission@underwriters.co.uk",
                },
              ].map((n: any, i: number) => {
                return (
                  <Link href={n.url.replace(API_URL, "/")}>
                    <li className="py-[8px] b2" key={i}>
                      <div dangerouslySetInnerHTML={{ __html: n.title }}></div>
                    </li>
                  </Link>
                );
              })}
            </ul>
          </div>
        </div>
      </footer>
      {settings.cookie_notice_enabled && <CookieConsent settings={settings} />}
    </>
  );
}
